<?php
/*
 * Developed By Devozon
 *
 * Check Out at https://devozon.com/
 * Email: support@devozon.com
 * Message: https://www.facebook.com/devozon
 *
 * Please feel free to contact me at any time if you need a custom script or any development work.
 *
 * Devozon Team:
 * Coded by Sanad Nabil
 * Theme by Ahmed Reda
 * Tested By Smith Carter
 *
 * Devozon All rights reserved
 * Copyright (c) 2023-2024.
 * Last Update 15 \ 1 \ 2024
 */

if ( !defined( 'ABSPATH' ) ) {
	exit;
}

//? Activate Plugin
function FENSE_BPVT_activate(): void
{
	$key = 'FENSE_BPVT_DEVOZON_';
	
	// General Tab
	add_option( $key . 'enable_dtg', false );
	add_option( $key . 'licence_key', 'YOUR_LICENCE_KEY' );
	add_option( $key . 'enable_on_custom', 'all' );
	add_option( $key . 'enable_on_logged_users', true );
	add_option( $key . 'enable_on_posts', true );
	add_option( $key . 'enable_on_pages', true );
	add_option( $key . 'enable_on_login', true );
	add_option( $key . 'enable_cache', 1 );
	
	// Style Tab
	add_option( $key . 'show_link', 'yes' );
	add_option( $key . 'show_link_val', 'https://fense.in/how-it-works' );
	
	// Protection Tab
	add_option( $key . 'protection_mode', 'message' );
	add_option( $key . 'restrict_message', 'Proxy or VPN detected - Please disable to access this website!' );
	add_option( $key . 'redirect_to_url', 'https://google.com' );
	
	add_option( $key . 'block_vpn', true );
	add_option( $key . 'block_proxy', true );
	add_option( $key . 'block_vps', true );
	
	add_option( $key . 'crawlers_bots', 'yes' );
	add_option( $key . 'crawlers_bots_data', 'Googlebot,Bingbot,Slurp,DuckDuckBot,Baiduspider,YandexBot,YandexImages,YandexMobileBot,Twitterbot,LinkedInBot,Applebot,Pinterestbot,Sogou spider,SemrushBot,AhrefsBot,MJ12bot,facebot,ia_archiver,Embedly,PetalBot,Discordbot,TelegramBot' );
	
	add_option( $key . 'ip_whitelisting_enable', false );
	add_option( $key . 'ip_blacklisting_enable', false );
	
	add_option( $key . 'cache_safe_mode', false );
}
